# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::WaveletTransform::PredictStep97< gain > Class Template Reference

Class to do two-tap prediction lifting step for Daubechies (9,7).

List of all members.

## Public Member Functions

- PredictStep97 ()
    Constructor.
- void Filter (ValueType &in_val, const ValueType &val1, const ValueType &val2) const
    Do the filtering.

### template<int gain>
class dirac::WaveletTransform::PredictStep97< gain >

## Constructor & Destructor Documentation

template<int gain>

dirac::WaveletTransform::PredictStep97< gain >::PredictStep97 | ( |  | ) | `[inline]`

## Member Function Documentation

template<int gain>

void dirac::WaveletTransform::PredictStep97< gain >::Filter | ( | ValueType & | in_val,
|  | const ValueType & | val1,
|  | const ValueType & | val2 |
| ) |  |  | const`[inline]`

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.